Bug 1257554 - Build ioprocess for python3
Build ioprocess for python3
Status: NEW
Product: ovirt-distribution
Classification: oVirt
Component: ioprocess (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.3.0
: ---
Assigned To: Nir Soffer
Pavol Brilla
: Improvement
Depends On: 1241655
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 06:33 EDT by Yeela Kaplan
Modified: 2018-01-04 04:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+
rule-engine: planning_ack+
amureini: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44388 None None None Never

  None (edit)
Description Yeela Kaplan 2015-08-27 06:33:19 EDT
Description of problem:
Add an ioprocess package supporting python3
Comment 1 Yeela Kaplan 2015-08-27 06:36:36 EDT
Adding dependency,
waiting for python macros to get into fc21, el7.1.
Comment 2 Red Hat Bugzilla Rules Engine 2015-10-19 06:56:34 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 5 Martin Perina 2016-03-02 07:12:59 EST
Moving to storage team as they should handle ioprocess now
Comment 6 Tal Nisan 2016-03-28 05:06:42 EDT
Nir, the patch is still relevant or should I remove it and move the bug back to new?
Comment 7 Mike McCune 2016-03-28 19:14:23 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 8 Allon Mureinik 2016-04-18 00:59:31 EDT
(In reply to Tal Nisan from comment #6)
> Nir, the patch is still relevant or should I remove it and move the bug back
> to new?
?
Comment 9 Nir Soffer 2016-04-18 02:22:42 EDT
(In reply to Allon Mureinik from comment #8)
> (In reply to Tal Nisan from comment #6)
> > Nir, the patch is still relevant or should I remove it and move the bug back
> > to new?
> ?

The patch looks relevant, but it is too risky for 4.0.
Comment 10 Allon Mureinik 2016-04-18 05:16:13 EDT
(In reply to Nir Soffer from comment #9)
> (In reply to Allon Mureinik from comment #8)
> > (In reply to Tal Nisan from comment #6)
> > > Nir, the patch is still relevant or should I remove it and move the bug back
> > > to new?
> > ?
> 
> The patch looks relevant, but it is too risky for 4.0.
Pushing out based on this assessment. Thanks.
Comment 11 Nir Soffer 2017-02-28 18:35:35 EST
This will not be in 4.1, please schedule to 4.2.
Comment 12 Allon Mureinik 2017-07-16 05:16:57 EDT
This may be relevant in RHEL 8 where python 3 is the default. Util then, unless it's a very low hanging fruit, I frankly wouldn't bother.

Note You need to log in before you can comment on or make changes to this bug.